uniform float uBlendTime;
uniform vec3 uPotionColor;
uniform vec3 uNextPotionColor;
uniform float uTransparency;

void main()
{
    gl_FragColor = vec4(mix(uPotionColor, uNextPotionColor, uBlendTime), uTransparency);
}